Open Lighting Architecture: ola::web::JsonInt64 Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::web::JsonInt64 Class Reference
JSON

## Detailed Description

A signed 64bit int value.

Inheritance diagram for ola::web::JsonInt64:

## Public Member Functions
| JsonInt64 (int64_t value)
| Create a new JsonInt64.
bool | operator== (const JsonValue &other) const
| Equality operator.
bool | operator< (const JsonNumber &other) const
| Less than operator.
bool | MultipleOf (const JsonNumber &other) const
| Checks if the remainder if non-0;.
void | Accept (JsonValueVisitorInterface *visitor)
| The Accept method for the visitor pattern.
void | Accept (JsonValueConstVisitorInterface *visitor) const
| The Accept (const) method for the visitor pattern.
JsonValue * | Clone () const
| Make a copy of this JsonValue.
int64_t | Value () const
| Return the int64_t value.
Public Member Functions inherited from ola::web::JsonNumber
bool | operator<= (const JsonNumber &other) const
| Less than or equals operator.
bool | operator> (const JsonNumber &other) const
| Greater than operator.
bool | operator>= (const JsonNumber &other) const
| Greater than or equals operator.
Public Member Functions inherited from ola::web::JsonValue
virtual JsonValue * | LookupElement (const JsonPointer &pointer)
| Locate the JsonValue referred to by the JSON Pointer.
virtual bool | operator!= (const JsonValue &other) const
| Not-equals operator.

## Constructor & Destructor Documentation

## ◆ JsonInt64()

ola::web::JsonInt64::JsonInt64 | ( | int64_t | value | ) |
| inlineexplicit

Create a new JsonInt64.

Parameters

  value | the int 64 to use.

## Member Function Documentation

## ◆ Accept() [1/2]

void ola::web::JsonInt64::Accept | ( | JsonValueConstVisitorInterface * | visitor | ) | const
| inlinevirtual

The Accept (const) method for the visitor pattern.

This can be used to traverse the Json Tree in a type-safe manner.

Implements ola::web::JsonValue.

## ◆ Accept() [2/2]

void ola::web::JsonInt64::Accept | ( | JsonValueVisitorInterface * | visitor | ) |
| inlinevirtual

The Accept method for the visitor pattern.

This can be used to traverse the Json Tree in a type-safe manner.

Implements ola::web::JsonValue.

## ◆ Clone()

JsonValue * ola::web::JsonInt64::Clone | ( |  | ) | const
| inlinevirtual

Make a copy of this JsonValue.

Implements ola::web::JsonValue.

## ◆ MultipleOf()

bool ola::web::JsonInt64::MultipleOf | ( | const JsonNumber & | other | ) | const
| inlinevirtual

Checks if the remainder if non-0;.

Implements ola::web::JsonNumber.

## ◆ operator<()

bool ola::web::JsonInt64::operator< | ( | const JsonNumber & | other | ) | const
| inlinevirtual

Less than operator.

Implements ola::web::JsonNumber.

## ◆ operator==()

bool ola::web::JsonInt64::operator== | ( | const JsonValue & | other | ) | const
| inlinevirtual

Equality operator.

This implements equality as defined in section 3.6 of the JSON Schema Core document.

Implements ola::web::JsonValue.

The documentation for this class was generated from the following files:

- include/ola/web/Json.h
- common/web/Json.cpp